# Info Gathering

Information gathering is an essential part of any assessment. Because information, the knowledge gained from it, the conclusions we draw, and the steps we take are based on the information available. This information must be obtained from somewhere, so it is critical to know how to retrieve it and best leverage it based on our assessment goals. The information we gather in advance will influence the results of the Exploitation stage. From this, we can see if we have collected enough or dived deep enough. Time, patience, and personal commitment all play a significant role in information gathering. Information gathering describes how we obtain information about the necessary components in various ways. We search for information about the target company and the software and hardware in use to find potential security gaps that we may be able to leverage for a foothold.

```
Versions
Technologies (Databases, Operating Systems, Applications, Plugins)
Directories
Subdomains
Parameters
Cookies and Tokens
Ports
```

***

## Directories

```
http://tickets.keeper.htb
http://tickets.keeper.htb/m/
http://tickets.keeper.htb/rt/
http://tickets.keeper.htb/rt/m
```

## Cookies

```
RT_SID_tickets.keeper.htb.80=184cc7ac99ba191130f51cfe2190c496
```

## Versions

```
Request Tracker 4.4.4+dfsg-2ubuntu1
Ubuntu Linux 
nginx 1.18.0
```

## Parameters

```
attachment_warning_regex
shortcut_help_error
user
error
loading
try_again
WebPath
check
quote_in_filename
remove
pass
next
rtname
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.daddybigfish.online/hack-the-box-machine-writeup/info-gathering.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
